

function onTalk()
    disableMovement()

    say("CanvasContest_0_Lobbies_sayalot_total")

    local partChoice = choice(
        "CanvasContest_0_Lobbies_sayalot_total_partone",
        "CanvasContest_0_Lobbies_sayalot_total_parttwo",
        "CanvasContest_0_Lobbies_sayalot_total_trunk"
    )

    if partChoice == 1 then
        say("CanvasContest_0_Lobbies_sayalot_partone")

    elseif partChoice == 2 then
        say("CanvasContest_0_Lobbies_sayalot_parttwo")

    else

        say("CanvasContest_0_Lobbies_sayalot_intro")

        local flowerChoice = choice(
            "CanvasContest_0_Lobbies_sayalot_choice_flower_yes",
            "CanvasContest_0_Lobbies_sayalot_choice_flower_no"
        )

        if flowerChoice == 1 then
            say("CanvasContest_0_Lobbies_sayalot_prompt_season")

            local seasonChoice = choice(
                "CanvasContest_0_Lobbies_sayalot_choice_season_spring",
                "CanvasContest_0_Lobbies_sayalot_choice_season_summer",
                "CanvasContest_0_Lobbies_sayalot_choice_season_autumn",
                "CanvasContest_0_Lobbies_sayalot_choice_season_winter"
            )

            if seasonChoice == 1 then
                say("CanvasContest_0_Lobbies_sayalot_branch_spring")
            elseif seasonChoice == 2 then
                say("CanvasContest_0_Lobbies_sayalot_branch_summer")
            elseif seasonChoice == 3 then
                say("CanvasContest_0_Lobbies_sayalot_branch_autumn")
            elseif seasonChoice == 4 then
                say("CanvasContest_0_Lobbies_sayalot_branch_winter")
            end
        elseif flowerChoice == 2 then
            say("CanvasContest_0_Lobbies_sayalot_branch_no_flower")
        end

        say("CanvasContest_0_Lobbies_sayalot_outro")
    end

    enableMovement()
end

function onEnd(room, wasSkipped)
    enableMovement()
end